# coding: utf-8

"""
    Humanloop API

    The Humanloop API allows you to interact with Humanloop from your product or service.  You can do this through HTTP requests from any language or via our official Python or TypeScript SDK.  To install the official [Python SDK](https://pypi.org/project/humanloop/), run the following command:  ```bash pip install humanloop ```  To install the official [TypeScript SDK](https://www.npmjs.com/package/humanloop), run the following command:  ```bash npm i humanloop ```  ---  Guides and further details about key concepts can be found in [our docs](https://docs.humanloop.com/).

    The version of the OpenAPI document: 4.0.0
    Generated by: https://konfigthis.com
"""

from datetime import datetime, date
import typing
from enum import Enum
from typing_extensions import TypedDict, Literal

from humanloop.type.create_evaluation_run_request_evaluation_function_ids import CreateEvaluationRunRequestEvaluationFunctionIds
from humanloop.type.provider_api_keys import ProviderApiKeys

class RequiredCreateEvaluationRunRequest(TypedDict):
    # ID of the config to evaluate. Starts with `config_`.
    config_id: str

    evaluation_function_ids: CreateEvaluationRunRequestEvaluationFunctionIds

    # ID of the testset to use in this evaluation run. Starts with `evts_`.
    evaluation_testset_id: str

class OptionalCreateEvaluationRunRequest(TypedDict, total=False):
    # API keys required by each provider to make API calls. The API keys provided here are not stored by Humanloop. If not specified here, Humanloop will fall back to the key saved to your organization. Ensure you provide an API key for the provider for the model config you are evaluating, or have one saved to your organization.
    provider_api_keys: ProviderApiKeys

class CreateEvaluationRunRequest(RequiredCreateEvaluationRunRequest, OptionalCreateEvaluationRunRequest):
    pass
