# coding: utf-8

"""
    Humanloop API

    The Humanloop API allows you to interact with Humanloop from your product or service.  You can do this through HTTP requests from any language or via our official Python or TypeScript SDK.  To install the official [Python SDK](https://pypi.org/project/humanloop/), run the following command:  ```bash pip install humanloop ```  To install the official [TypeScript SDK](https://www.npmjs.com/package/humanloop), run the following command:  ```bash npm i humanloop ```  ---  Guides and further details about key concepts can be found in [our docs](https://docs.humanloop.com/).

    The version of the OpenAPI document: 4.0.0
    Generated by: https://konfigthis.com
"""

from datetime import datetime, date
import typing
from enum import Enum
from typing_extensions import TypedDict, Literal

from humanloop.type.config_response import ConfigResponse
from humanloop.type.evaluation_function_response import EvaluationFunctionResponse
from humanloop.type.evaluation_run_status import EvaluationRunStatus
from humanloop.type.evaluation_testset_response import EvaluationTestsetResponse
from humanloop.type.model_config_eval_function_aggregate_response import ModelConfigEvalFunctionAggregateResponse

class RequiredEvaluationRunResponse(TypedDict):
    # Unique ID for the evaluation run. Starts with `evrun_`.
    id: str

    status: EvaluationRunStatus

    config: ConfigResponse

    created_at: datetime

    updated_at: datetime

    evaluation_functions: typing.List[EvaluationFunctionResponse]

    evaluation_testset: EvaluationTestsetResponse

class OptionalEvaluationRunResponse(TypedDict, total=False):
    evaluation_function_aggregates: typing.List[ModelConfigEvalFunctionAggregateResponse]

class EvaluationRunResponse(RequiredEvaluationRunResponse, OptionalEvaluationRunResponse):
    pass
