# coding: utf-8

"""
    Humanloop API

    The Humanloop API allows you to interact with Humanloop from your product or service.  You can do this through HTTP requests from any language or via our official Python or TypeScript SDK.  To install the official [Python SDK](https://pypi.org/project/humanloop/), run the following command:  ```bash pip install humanloop ```  To install the official [TypeScript SDK](https://www.npmjs.com/package/humanloop), run the following command:  ```bash npm i humanloop ```  ---  Guides and further details about key concepts can be found in [our docs](https://docs.humanloop.com/).

    The version of the OpenAPI document: 4.0.0
    Generated by: https://konfigthis.com
"""

from datetime import datetime, date
import typing
from enum import Enum
from typing_extensions import TypedDict, Literal

from humanloop.type.chat_message import ChatMessage
from humanloop.type.evaluation_testcase_response_criteria import EvaluationTestcaseResponseCriteria
from humanloop.type.evaluation_testcase_response_inputs import EvaluationTestcaseResponseInputs

class RequiredEvaluationTestcaseResponse(TypedDict):
    id: str

    evaluation_testset_id: str

    created_at: datetime

    updated_at: datetime

class OptionalEvaluationTestcaseResponse(TypedDict, total=False):
    inputs: EvaluationTestcaseResponseInputs

    messages: typing.List[ChatMessage]

    criteria: EvaluationTestcaseResponseCriteria

    source_project_data_id: str

class EvaluationTestcaseResponse(RequiredEvaluationTestcaseResponse, OptionalEvaluationTestcaseResponse):
    pass
